% function fix_0_2pi
% forces an angle between 0 and 2 pi

function value = fix_0_2pi(x)

if x < 0.0
    n = double(int32(x/(-2.0*pi)));
    value = x + (n + 1.0)* 2.0*pi;
elseif x > (2.0 * pi)
    n = double(int32(x/(2.0*pi)));
    value = x - n * 2.0*pi;
else
    value = x;
end